From 6e5e5be736c75ff4755ea6cf98f398aba9238c79 Mon Sep 17 00:00:00 2001
From: wwylele <wwylele@gmail.com>
Date: Thu, 22 Sep 2016 11:02:14 +0800
Subject: [PATCH] travis: fix clang-format lint

---
 .travis-build.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/.travis-build.sh b/.travis-build.sh
index b8562cb024..3310bacc5c 100755
--- a/.travis-build.sh
+++ b/.travis-build.sh
@@ -17,7 +17,7 @@ if [ "$TRAVIS_OS_NAME" = "linux" ]; then
 
     if [ "$TRAVIS_EVENT_TYPE" = "pull_request" ]; then
         # Get list of every file modified in this pull request
-        files_to_lint="$(git diff --name-only --diff-filter=ACMRTUXB $TRAVIS_COMMIT_RANGE | grep '^src/[^.]*[.]\(cpp\|h\)$')"
+        files_to_lint="$(git diff --name-only --diff-filter=ACMRTUXB $TRAVIS_COMMIT_RANGE | grep '^src/[^.]*[.]\(cpp\|h\)$' || true)"
     else
         # Check everything for branch pushes
         files_to_lint="$(find src/ -name '*.cpp' -or -name '*.h')"
@@ -27,7 +27,7 @@ if [ "$TRAVIS_OS_NAME" = "linux" ]; then
     set +x
 
     for f in $files_to_lint; do
-        d=$(diff -u "$f" <($CLANG_FORMAT "$f"))
+        d=$(diff -u "$f" <($CLANG_FORMAT "$f") || true)
         if ! [ -z "$d" ]; then
             echo "!!! $f not compliant to coding style, here is the fix:"
             echo "$d"